org.h2gis.functions.io.osm

## Enum TAG_LOCATION

- java.lang.Object
- - java.lang.Enum<TAG_LOCATION>
  - - org.h2gis.functions.io.osm.TAG_LOCATION

All Implemented Interfaces:
  Serializable, Comparable<TAG_LOCATION>

    public enum TAG_LOCATION
    extends Enum<TAG_LOCATION>

A class to specify the category of the element.

Author:
  Erwan Bocher

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ND`
`NODE`
`OTHER`
`RELATION`
`WAY`

### Method Summary

All Methods Static Methods Concrete Methods
`static TAG_LOCATION` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TAG_LOCATION[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NODE

    public static final TAG_LOCATION NODE

#### WAY

    public static final TAG_LOCATION WAY

#### OTHER

    public static final TAG_LOCATION OTHER

#### RELATION

    public static final TAG_LOCATION RELATION

#### ND

    public static final TAG_LOCATION ND

### Method Detail

#### values

    public static TAG_LOCATION[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TAG_LOCATION c : TAG_LOCATION.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TAG_LOCATION valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null